.cb-carousel-guides-list-block {
    margin-block: 32px;
    margin-inline: 16px;
    padding-block: 32px;
    padding-inline: 32px;
    background: #000;
    border-radius: 16px;
    overflow: hidden;
}

.cb-carousel-guides-list-block .splide__track {
    overflow: visible;
}

.cb-carousel-guides-list-block .splide__slide {
    opacity: 0.2;
    transition: opacity 0.3s ease;
}

.cb-carousel-guides-list-block .splide__slide.is-visible {
    opacity: 1;
}

.cb-carousel-guides-list-block__header-row {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 16px;
}

.cb-carousel-guides-list-block__title {
    color: #fff;
    font-size: 22px;
    font-style: normal;
    font-weight: 900;
    line-height: 24px;
    text-transform: capitalize;
    margin: 0;
    white-space: nowrap;
}

.cb-carousel-guides-list-block__line {
    flex: 1;
    height: 2px;
    background: #dd3333;
    margin: 0;
}

.cb-carousel-guides-list-block__more {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: 700;
    line-height: 26px;
    white-space: nowrap;
    transition: all .2s ease;
    flex: 0 0 auto;
}

.cb-carousel-guides-list-block__more:hover,
.cb-carousel-guides-list-block__more:active {
  color: #8D0F10;
}

.cb-carousel-guides-list-block__nav {
    display: flex;
    gap: 4px;
    margin-left: 8px;
}

.cb-carousel-guides-list-block .cb-pagination__icon {
    width: 18px;
    height: 18px;
    display: inline-block;
    background-color: #000;
    mask: url("../../svg/assets/chevron-down.svg") no-repeat center / contain;
    -webkit-mask: url("../../assets/svg/chevron-down.svg") no-repeat center / contain;
}

.cb-carousel-guides-list-block .cb-pagination__icon--prev {
    transform: rotate(90deg);
}

.cb-carousel-guides-list-block .cb-pagination__icon--next {
    transform: rotate(-90deg);
}

.cb-carousel-guides-list-block .cb-pagination__btn {
    background-color: #fff;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    user-select: none;
}

.cb-carousel-guides-list-block .splide__track {
    overflow: visible;
}

.cb-guide-card {
    width: 100%;
    height: 400px;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
}

.cb-guide-card__link {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
}

.cb-guide-card__link:hover .cb-guide-card__title,
.cb-guide-card__link:active .cb-guide-card__title {
   text-decoration-color: #8D0F10;
}

.cb-guide-card__thumb-wrapper {
    width: 100%;
    height: 100%;
    position: relative;
}

.cb-guide-card__thumb {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px 8px 0 0;
}

.cb-guide-card__thumb {
    border-radius: 8px 8px 0 0;
}

.cb-guide-card__thumb--placeholder {
    width: 100%;
    height: 100%;
    background: #333;
    border-radius: 8px 8px 0 0;
}

.cb-guide-card__overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 110%;
    background: linear-gradient(
        180deg,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.5) 10%,
        #000 20%,
        #000 100%
    );
    pointer-events: none;
    z-index: -1;
}

.cb-guide-card__content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 0 16px 16px 16px;
    box-sizing: border-box;
    z-index: 2;
}

.cb-guide-card__title {
    color: #fff;
    font-size: 22px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px;
    margin: 0 0 12px 0;
    position: relative;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: underline;
    text-decoration-color: transparent;
    transition: all .2s ease;
    text-underline-offset: 4px;
}

.cb-guide-card__content:before {
    content: "";
    position: absolute;
    left: 0;
    top: 2px;
    width: 8px;
    height: 26px;
    border-radius: 0 4px 4px 0;
    background: #d33;
}

.cb-guide-card__author {
    color: #fff;
    font-size: 12px;
    line-height: 16px;
    margin: 0;
}

.cb-carousel-guides-list-block .cb-pagination__btn {
    transition: opacity 0.3s ease;
    cursor: pointer;
    background: #fff;
    border: none;
}

.cb-carousel-guides-list-block .cb-pagination__btn[disabled] {
    opacity: 0.3;
    pointer-events: none;
}

/* body.wp-admin .cb-carousel-guides-list-block .splide__list {
    display: flex;
    padding: 0;
    gap: 16px;
} */

/* Mock the behaviour of initialised Splide slider, as we avoid including js into wp-admin */
body.wp-admin .cb-carousel-guides-slider {
    visibility: visible;
}

body.wp-admin .cb-carousel-guides-prev {
    opacity: 0.3;
}

body.wp-admin .splide__list {
    display: flex;
    padding: 0;
    gap: 16px;
}

body.wp-admin .cb-carousel-guides-list-block .splide__slide {
    opacity: 1;
} 

body.wp-admin .cb-carousel-guides-list-block__bg {
    width: auto;
    padding: 32px;
}

body.wp-admin .cb-guide-card__thumb {
    height: 100%;
    object-fit: cover;
}

body.wp-admin .cb-guide-card {
    height: 300px;
}

@media screen and (max-width: 767px) {
    .cb-carousel-guides-list-block {
        margin-inline: 0px;
        padding-inline: 16px;
    }
    .cb-carousel-guides-list-block__more {
        font-size: 17px;
    }
    .cb-carousel-guides-list-block__nav {
        display: none;
    }
    .cb-carousel-guides-list-block .splide__slide {
        opacity: 1;
    }
    .cb-guide-card {
        height: 340px;
    }
    .cb-guide-card__author {
        line-height: 14px;
    }
}
